/ lang / asin
ASin
Syntax

    Value = ASin ( Number AS Float ) AS Float
    Value = Asn ( Number AS Float ) As Float

Computes the arc-sine of a number.

### Errors

Message | Description
--- | ---
Mathematical error (#19) | Number is out of [ `-1`, `1` ] range.

### Examples

    PRINT ASin(0.5)
    <hr>0.523598775598

    PRINT Asn(-1)
    <hr>1.570796326795

### See also

Trigonometric Functions